Page MenuHomePhabricator

llvm-config: handle BUILD_SHARED_LIBS correctly
ClosedPublic

Authored by axw on Jan 7 2016, 5:39 PM.

Details

Summary

llvm-config will print out library names according
to the build configuration: libLLVM-X.Y.so with
LLVM_LINK_LLVM_DYLIB=ON, static archives if OFF.
It should print out shared libraries if the
BUILD_SHARED_LIBS configuration is used, but this
is not currently being handled correctly.

Now if BUILD_SHARED_LIBS=ON, we will print out the
individual component shared libraries.
BUILD_SHARED_LIBS is mutually exclusive with
LLVM_LINK_LLVM_DYLIB, so there can be no fallback
to the single shared library or to static archives.

Diff Detail

Repository
rL LLVM

Event Timeline

axw updated this revision to Diff 44298.Jan 7 2016, 5:39 PM
axw updated this revision to Diff 44299.
axw retitled this revision from to llvm-config: handle BUILD_SHARED_LIBS correctly.
axw updated this object.
axw added reviewers: beanz, DiamondLovesYou.
axw added a subscriber: llvm-commits.

Revert comment change

Works for me, thanks a lot!

rivanvx accepted this revision.Jan 12 2016, 6:14 AM
rivanvx added a reviewer: rivanvx.
rivanvx added a subscriber: rivanvx.

Works for me. Needs rebase to current master.

This revision is now accepted and ready to land.Jan 12 2016, 6:14 AM
DiamondLovesYou accepted this revision.Jan 15 2016, 2:00 PM
DiamondLovesYou edited edge metadata.

LGTM

This revision was automatically updated to reflect the committed changes.